# Resumes Resumes ## Creates a new resume record that does not already exist. - [POST /resumes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/createresume.md): This method will auto-generate an ID and create a new resume. If an ID is specified for the resume, an error will be thrown. ## Execute Batch Operations - [POST /resumes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /resumes/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/listresumesbycontactid.md): Returns a list of records with the specified contact_id ## Searches for resumes using predefined parameters - [POST /resumes/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/searchforresumes.md): Searches for resumes using predefined parameters ## Returns a resume from the system by its ID. - [DELETE /resumes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/deleteresume.md): This method will delete a resume with the specified ID. ## Returns a resume from the system by its ID. - [GET /resumes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/getresume.md): This method will look up a resume by the specified ID and return it back. ## Partially updates a resume with the specified ID. - [PATCH /resumes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/patchresume.md): This method will patch an existing resume with the specified ID, using the HTTP PATCH specification. ## Updates a resume with the specified ID. - [PUT /resumes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/updateresume.md): This method will update an existing resume with the specified ID.